package com.hikapro.backpack.view.recycler;

import android.support.v7.widget.RecyclerView;
import android.view.View;

import android.widget.RelativeLayout;
import android.widget.TextView;

import com.hikapro.backpack.R;

/**
 * Created by tariel on 18/05/16.
 */
public class AddItemViewHolder extends RecyclerView.ViewHolder {

    public TextView         name;
    public TextView         category;
    public TextView         alreadyInList;
    public RelativeLayout   item;

    public AddItemViewHolder(View itemView) {
        super(itemView);
        setupViews(itemView);
    }

    private void setupViews(View view) {
        item                = (RelativeLayout) view.findViewById(R.id.add_item_item);
        name                = (TextView) item.findViewById(R.id.add_item_name);
        category            = (TextView) item.findViewById(R.id.add_item_category);
        alreadyInList       = (TextView) item.findViewById(R.id.add_already_in_list);
    }
}
