package com.hikapro.backpack.view.recycler;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ImageButton;
import android.widget.TextView;

import com.hikapro.backpack.R;
import com.hikapro.backpack.presenter.adapters.helper.items.swipe2.SwipableElement;


/**
 * Created by tariel on 01/05/16.
 */
public class ItemViewHolder extends RecyclerView.ViewHolder {

    public CheckBox         cb_item;
    public TextView         tv_text;
    public ImageButton      im_info;
    public ViewGroup        menu;

    public ItemViewHolder(View v) {
        super(v);
        setupViews(v);
    }

    private void setupViews(View view) {
        cb_item             = (CheckBox) view.findViewById(R.id.item_checkbox);
        tv_text             = (TextView) view.findViewById(R.id.item_text);
        im_info             = (ImageButton) view.findViewById(R.id.item_info_button);
        menu                = (ViewGroup) view.findViewById(R.id.menu);

    }
}
